Bug 18165 - LPRng can't print to RH6.0 lpd print server
LPRng can't print to RH6.0 lpd print server
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-10-02 21:59 EDT by sdh4
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-03 16:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sdh4 2000-10-02 21:59:01 EDT
When I try to print a job from RH7.0 with LPRng to a print server running
RH6.0 (lpd), the file is queued by LPRng on the 7.0 box, and then removed
from the queue after 3 retrys and around 30 seconds. 

System log messages such as: 
Oct  2 16:35:39 timbuktu (Worker - Remote)[14539]: lp: Remote_job: fstatb
failed - Bad file descriptor
Oct  2 16:35:39 timbuktu (Worker - Remote)[14539]: lp: Remote_job: close(4)
failed - Bad file descriptor

occur during the 30 second delay on the RH 7.0 client. No log messages are
generated on the RH6.0 print server.

lpr -Pmy_printer@rh6_print_server.mydomain <filename> 
works (at least sometimes)

Upgrading to the latest lpr RPM for RH6 on the print server did not help.
Comment 1 Bill Nottingham 2000-10-03 10:03:41 EDT
What version of lpr are you running on the server?
Comment 2 Crutcher Dunnavant 2000-10-03 10:16:18 EDT
This is wierd, can you post copies of:
a) Your /etc/printcap file
b) all files in this queue's spool directory (/var/spool/lpd/spoolname/)
matching *.cfg
Comment 3 sdh4 2000-10-03 16:00:57 EDT
lpr-0.48-1 is installed on the print server. 

I think I've discovered the real problem, based on your suggestion. 
This problem shows up if I create a remote lpd queue with printtool,
but fail to press the "select" button to pick a filter. 

On the other hand, if I create a queue and press the "select" button,
everything works fine. 

The first case (no selected print filter) works if the target print
server is another RH7 box, but not if it is running the RH6.0 lpd
Comment 4 Crutcher Dunnavant 2000-10-04 14:51:23 EDT
That makes sense, the printfilters are much smarter than they used to be.
I'm gonna close this, make sure you read the release notes about printing, there
is an lpr (and now a LPRng) errata you might want.

Note You need to log in before you can comment on or make changes to this bug.